Browse Docs
Archives (14)
Audio (38)
Documents (26)
Ebooks (7)
Fonts (13)
Images (62)
Video (10)
On This Page

TAR to ISO

Convert TAR archives to ISO files.

Try TAR to ISO in the browser →

Convert.FAST uses this same API — what you see in the browser is what you get in code.

Quick reference

Job typearchive.tar-to-iso
targetFormatiso
Categoryarchives
Input formats.tar, .tar.gz, .tgz, .tar.bz2, .tbz2
Output extension.iso
Costing1 credit per 5 MB
Max file size2 GB

Example

cURL
# 1) Submit
JOB_ID=$(curl -sS -X POST "https://api.tools.fast/convert" \
  -H "X-Fast-Api-Key: $API_KEY" \
  -F "file=@archive.tar" \
  -F "targetFormat=iso" | jq -r '.id')
# → 202 Accepted: {"id": "019e3a7b-...", "status": "Queued"}

# 2) Poll until terminal status
while true; do
  RESPONSE=$(curl -sS "https://api.tools.fast/convert/job/${JOB_ID}" \
    -H "X-Fast-Api-Key: $API_KEY")
  STATUS=$(echo "$RESPONSE" | jq -r '.status')
  [ "${STATUS}" = "Succeeded" ] && break
  [ "${STATUS}" = "Failed" ] || [ "${STATUS}" = "Canceled" ] && { echo "$RESPONSE" | jq; exit 1; }
  sleep 1
done

# 3) Download
curl -sS "https://api.tools.fast/convert/job/${JOB_ID}/download" \
  -H "X-Fast-Api-Key: $API_KEY" \
  -o "archive.iso"
# → Binary file (application/x-iso9660-image, 2.5 MB)

Options

This converter does not support additional options.

Cost estimate

cURL
curl -sS "https://api.tools.fast/convert/estimate/tar/iso?fileSizeMb=50"
Copied.